Package org.bukkit.block.data.type

# Enum Class BigDripleaf.Tilt

java.lang.Object
java.lang.Enum<BigDripleaf.Tilt>
org.bukkit.block.data.type.BigDripleaf.Tilt

All Implemented Interfaces:
  `Serializable`, `Comparable<BigDripleaf.Tilt>`, `Constable`

Enclosing interface:
  BigDripleaf

public static enum BigDripleaf.Tilt extends Enum<BigDripleaf.Tilt>
The tilt of a leaf.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FULL`
Pinball.
`NONE`
No tilt.
`PARTIAL`
Partial tilt.
`UNSTABLE`
Unstable tilt.

## Method Summary

Modifier and Type
Method
Description
`static BigDripleaf.Tilt`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BigDripleaf.Tilt[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final BigDripleaf.Tilt NONE
No tilt.

### UNSTABLE

public static final BigDripleaf.Tilt UNSTABLE
Unstable tilt.

### PARTIAL

public static final BigDripleaf.Tilt PARTIAL
Partial tilt.

### FULL

public static final BigDripleaf.Tilt FULL
Pinball.

## Method Details

### values

public static BigDripleaf.Tilt[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BigDripleaf.Tilt valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null